package tools.descartes.dql.connector.kieker.structures.records;


import tools.descartes.dql.connector.kieker.structures.ResourceContent;
import tools.descartes.dql.connector.kieker.structures.identifier.ResourceIdentifier;

public class ResourceRecord extends AbstractRecord<ResourceIdentifier>{
	private ResourceContent content;

	public ResourceRecord(ResourceIdentifier resourceIdentifier, long timestamp, ResourceContent content){
		super.setIdentifier(resourceIdentifier);
		super.setTimestamp(timestamp);
		this.content=content;
	}

	public ResourceContent getContent() {
		return content;
	}

	@Override
	public String toString() {
		return super.toString() + "\t| values: "+content.toString();
	}

}
